#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	ofBackground(90, 90, 90);
	
	faceImg.loadImage("face.jpg");
	faceImg.resize(90,120);
	faceImg.setImageType(OF_IMAGE_GRAYSCALE);
	
	ofBackground(0, 0, 0);
	
}

//--------------------------------------------------------------
void testApp::update(){
	
}

//--------------------------------------------------------------
void testApp::draw(){
	
	
	unsigned char * pixels = faceImg.getPixels();
	
	for (int i = 0; i < 90; i+=5){
		for (int j = 0; j < 120; j+=5){
			
			// pixel we care about is (y*w + x)
			int pixelValue = pixels[ j * 90 + i ];
			float brightness = pixelValue / 255.0;
			
			ofSetColor(255, 255, 255);
			ofCircle(i*4, j*4,8 + 3*brightness);
		}
	}
	
	if(bOutput) {
		cairo.begin("awesome.pdf", ofGetWidth(), ofGetHeight(), OF_OUTPUT_PDF);
		
		cairo.fill();
		cairo.setColor(255, 255, 255);
		for (int i = 0; i < 90; i+=5){
			for (int j = 0; j < 120; j+=5){
				
				// pixel we care about is (y*w + x)
				int pixelValue = pixels[ j * 90 + i ];
				float brightness = pixelValue / 255.0;
				
				ofSetColor(255, 255, 255);
				cairo.circle(i*4, j*4,8 + 3*brightness);
			}
		}
		
		
		bOutput = false;
		cairo.end();
	}
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
	if(key == ' ') {
		bOutput = true;
	}
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){
	
}

